Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451150 - Review Request: ghc-HPDF - Generation of PDF documents
Summary: Review Request: ghc-HPDF - Generation of PDF documents
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://hackage.haskell.org/cgi-bin/ha...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 00:48 UTC by Rajesh Krishnan
Modified: 2010-01-26 00:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 23:23:31 UTC


Attachments (Terms of Use)
ghc-HPDF-1.4-1.spec (deleted)
2008-06-13 00:48 UTC, Rajesh Krishnan
no flags Details

Description Rajesh Krishnan 2008-06-13 00:48:46 UTC
Description of problem:
Haskell PDF generation library.

Version-Release number of selected component (if applicable):
1.4

How reproducible:


1.  Download 
http://hackage.haskell.org/packages/archive/HPDF/1.4/HPDF-1.4.tar.gz 
to rpmbuild/SOURCES folder.
2.  Copy attached ghc-HPDF*.spec to rpmbuild/SPECS folder.
3.  Execute:
rpmbuild --clean  --target=$(uname -i) -ba 
rpmbuild/SPECS/ghc-HPDF*.spec
  
Actual results:
You should see the compiled RPM and SRPM binaries in the respective folders.

Expected results:
--

Additional info:
1. The same .SPEC should work for Fedora 9 also (I guess; I tested on 
Fedora-8).
2.  Requries ghc-binary and ghc-zlib to build and install.

Comment 1 Rajesh Krishnan 2008-06-13 00:48:46 UTC
Created attachment 309153 [details]
ghc-HPDF-1.4-1.spec

Comment 2 Bryan O'Sullivan 2008-06-17 23:23:31 UTC
I am mass-closing these submissions, as they are completely useless and do not
follow any of the packaging guidelines.  Do not attempt to reopen them.


Note You need to log in before you can comment on or make changes to this bug.